<?php
/**
 *
 * @author  ahrasis http://elk.ahrasis.com
 * @license BSD http://opensource.org/licenses/BSD-3-Clause
 * @mod     asyncjs - Asynchronous JavaScript
 *
 */

if (!defined('ELK'))
	die('No access...');

function asyncjs_JS(&$buffer)
{
	global $modSettings, $context;

	if (isset($_REQUEST['xml']) || $context['current_action'] == 'printpage') return $buffer;

	$asyncjs = array();

	// Description
	if (!empty($modSettings['asyncjs_enable'])) {
		// Define the old and the new JS
		$JS_old = 'script src';
		$JS_new = 'script async src';
		$asyncjs[$JS_old] = $JS_new;
	}
	// Now let's change the title, if we're allowed to
	return str_replace(array_keys($asyncjs), array_values($asyncjs), $buffer);
}

function asyncjs_Texts()
{
	global $txt;

	// Load language
	loadLanguage('asyncjs');
}

function asyncjs_Settings(&$config_vars)
{
	global $txt;
	
	// Load language
	loadLanguage('asyncjs');

	// Add Settings
	$asyncjs = array(
			array('check', 'asyncjs_enable'),
			'',
	);
	// Insert after all available slice.
	$first = array_slice($config_vars, 0);
	$config_vars = array_merge($first, $asyncjs);
}
?>